<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/**
USAGE:

Simple:

<?php echo $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Name')
   ->setObject($block->getAddress())
   ->toHtml() ?>

For checkout/onepage/shipping.phtml:

<?php echo $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Name')
   ->setObject($block->getAddress())
   ->setFieldIdFormat('shipping:%s')
   ->setFieldNameFormat('shipping[%s]')
   ->setFieldParams('onchange="shipping.setSameAsBilling(false);"')
   ->toHtml() ?>
*/
/* @var $block \Magento\Customer\Block\Widget\Name */
$prefix = $block->showPrefix();
$middle = $block->showMiddlename();
$suffix = $block->showSuffix();
$htmlCol = 2;
if($prefix){
	$htmlCol += 1;
}
if($middle){
	$htmlCol += 1;
}
if($suffix){
	$htmlCol += 1;
}
if($htmlCol == 5){
	$htmlClass = 'col-md-2 col-sm-6';
}elseif($htmlCol == 4){
	$htmlClass = 'col-md-3 col-sm-6';
}elseif($htmlCol == 3){
	$htmlClass = 'col-sm-4';
}else{
	$htmlClass = 'col-sm-6';
}
?>
<div class="row customer-name-fields">
	<?php if ($prefix || $middle || $suffix && !$block->getNoWrap()): ?>
	<div class="field required fullname <?php /* @escapeNotVerified */ echo $block->getContainerClassName() ?>">
		<label for="<?php /* @escapeNotVerified */ echo $block->getFieldId('firstname') ?>" class="label">
			<span><?php /* @escapeNotVerified */ echo __('Name') ?></span>
		</label>
		<div class="control">
			<fieldset class="fieldset fieldset-fullname">
			<div class="fields">
	<?php endif; ?>

		<?php if ($prefix): ?>
			<div class="field field-name-prefix<?php if ($block->isPrefixRequired()) echo ' required' ?> <?php echo $htmlClass ?>">
				<label class="label" for="<?php /* @escapeNotVerified */ echo $block->getFieldId('prefix') ?>">
					<span><?php /* @escapeNotVerified */ echo $block->getStoreLabel('prefix') ?></span>
				</label>

				<div class="control">
					<?php if ($block->getPrefixOptions() === false): ?>
						<input type="text" id="<?php /* @escapeNotVerified */ echo $block->getFieldId('prefix') ?>"
							   name="<?php /* @escapeNotVerified */ echo $block->getFieldName('prefix') ?>"
							   value="<?php echo $block->escapeHtml($block->getObject()->getPrefix()) ?>"
							   title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('prefix') ?>"
							   class="input-text <?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('prefix') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php if ($block->isPrefixRequired()) echo ' data-validate="{required:true}"' ?>>
					<?php else: ?>
						<select id="<?php /* @escapeNotVerified */ echo $block->getFieldId('prefix') ?>"
								name="<?php /* @escapeNotVerified */ echo $block->getFieldName('prefix') ?>"
								title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('prefix') ?>"
								class="<?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('prefix') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php if ($block->isPrefixRequired()) echo ' data-validate="{required:true}"' ?> >
							<?php foreach ($block->getPrefixOptions() as $_option): ?>
								<option value="<?php /* @escapeNotVerified */ echo $_option ?>"<?php if ($block->getObject()->getPrefix() == $_option): ?> selected="selected"<?php endif; ?>>
									<?php /* @escapeNotVerified */ echo __($_option) ?>
								</option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
				</div>
			</div>
		<?php endif; ?>
			<div class="field field-name-firstname required <?php echo $htmlClass ?>">
				<label for="<?php /* @escapeNotVerified */ echo $block->getFieldName('firstname') ?>" class="label">
					<?php /* @escapeNotVerified */ echo __('First Name') ?>
				</label>
				<div class="control">
					<input type="text" id="<?php /* @escapeNotVerified */ echo $block->getFieldId('firstname') ?>"
						   name="<?php /* @escapeNotVerified */ echo $block->getFieldName('firstname') ?>"
                                                   placeholder="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('firstname') ?>"
						   value="<?php echo $block->escapeHtml($block->getObject()->getFirstname()) ?>"
						   title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('firstname') ?>"
						   class="input-text <?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('firstname') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php if ($block->getAttributeValidationClass('firstname') == 'required-entry') echo ' data-validate="{required:true}"' ?>>
				</div>
			</div>
		<?php if ($middle): ?>
			<?php $isMiddlenameRequired = $block->isMiddlenameRequired(); ?>
			<div class="field field-name-middlename<?php echo $isMiddlenameRequired ? ' required' : '' ?> <?php echo $htmlClass ?>">

				<div class="control">
					<input type="text" id="<?php /* @escapeNotVerified */ echo $block->getFieldId('middlename') ?>"
						   name="<?php /* @escapeNotVerified */ echo $block->getFieldName('middlename') ?>"
                                                   placeholder="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('middlename') ?>"
						   value="<?php echo $block->escapeHtml($block->getObject()->getMiddlename()) ?>"
						   title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('middlename') ?>"
						   class="input-text <?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('middlename') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php echo $isMiddlenameRequired ? ' data-validate="{required:true}"' : '' ?>>
				</div>
			</div>
		<?php endif; ?>
			<div class="field field-name-lastname required <?php echo $htmlClass ?>">
				<label for="<?php /* @escapeNotVerified */ echo $block->getFieldName('lastname') ?>" class="label">
					<?php /* @escapeNotVerified */ echo __('Last Name') ?>
				</label>
				<div class="control">
					<input type="text" id="<?php /* @escapeNotVerified */ echo $block->getFieldId('lastname') ?>"
						   name="<?php /* @escapeNotVerified */ echo $block->getFieldName('lastname') ?>"
                                                   placeholder="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('lastname') ?>"
						   value="<?php echo $block->escapeHtml($block->getObject()->getLastname()) ?>"
						   title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('lastname') ?>"
						   class="input-text <?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('lastname') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php if ($block->getAttributeValidationClass('lastname') == 'required-entry') echo ' data-validate="{required:true}"' ?>>
				</div>
			</div>
		<?php if ($suffix): ?>
			<div class="field field-name-suffix<?php if ($block->isSuffixRequired()) echo ' required' ?> <?php echo $htmlClass ?>">


				<div class="control">
					<?php if ($block->getSuffixOptions() === false): ?>
						<input type="text" id="<?php /* @escapeNotVerified */ echo $block->getFieldId('suffix') ?>"
							   name="<?php /* @escapeNotVerified */ echo $block->getFieldName('suffix') ?>"
                                                           placeholder="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('suffix') ?>"
							   value="<?php echo $block->escapeHtml($block->getObject()->getSuffix()) ?>"
							   title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('suffix') ?>"
							   class="input-text <?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('suffix') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php if ($block->isSuffixRequired()) echo ' data-validate="{required:true}"' ?>>
					<?php else: ?>
						<select id="<?php /* @escapeNotVerified */ echo $block->getFieldId('suffix') ?>"
								name="<?php /* @escapeNotVerified */ echo $block->getFieldName('suffix') ?>"
								title="<?php /* @escapeNotVerified */ echo $block->getStoreLabel('suffix') ?>"
								class="<?php /* @escapeNotVerified */ echo $block->getAttributeValidationClass('suffix') ?>" <?php /* @escapeNotVerified */ echo $block->getFieldParams() ?> <?php if ($block->isSuffixRequired()) echo ' data-validate="{required:true}"' ?>>
							<?php foreach ($block->getSuffixOptions() as $_option): ?>
								<option value="<?php /* @escapeNotVerified */ echo $_option ?>"<?php if ($block->getObject()->getSuffix() == $_option): ?> selected="selected"<?php endif; ?>>
									<?php /* @escapeNotVerified */ echo __($_option) ?>
								</option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
				</div>
			</div>
		<?php endif; ?>

		<?php if ($prefix || $middle || $suffix && !$block->getNoWrap()): ?>
				</div>
			</fieldset>
		</div>
	</div>
	<?php endif; ?>
</div>
